Subject: Re: Run a Cygwin (X) app from a DOS command line
From: Erich Dollansky <[email-masked]>
To: John Emmas <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 Jan 2009 11:57:01 +0800
List-Id: <cygwin.cygwin.com>

Hi,

it seems to me that the application misses a running X server.

It is the same under Unix if you start an X application directly on a
console without having X running.

Erich

On Wed, 2008-12-31 at 17:41 +0000, John Emmas wrote:
> ----- Original Message ----- 
> From: "Larry Hall (Cygwin)"
> Subject: Re: Run a Cygwin (X) app from a DOS command line
> >
> > You also need Cygwin's installation path in your Windows PATH variable.
> >
> Thanks Larry.  I already had that set up (C:\cygwin\bin) as well as
> C:\cygwin\lib but I can still only launch console apps.  When this happened
> for the very first time I seem to remember that "rebaseall" sorted it out.
> Unfortunately, but that doesn't seem to fix the problem any more.
> 
> The required program is clearly getting launched because I can see it in
> Task Manager - but it doesn't seem to get as far as putting anything on the
> screen.
> 
> cygcheck -c  reports a few packages as being incomplete (including libX11 
> and xorg-X11-bin).  I might try reinstalling them and see if that improves 
> things.
> 
> John
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/